﻿@media (min-width: 992px) {
    :host,
    :root {
        margin-left: 0;
    }
}

:root {
    color-scheme: light;
}

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    width: 100%;
    padding-right: var(--tblr-gutter-x,1.5rem);
    padding-left: var(--tblr-gutter-x,1.5rem);
    margin-right: auto;
    margin-left: auto;
}

.page-pretitle, .dropdown-header, .hr-text, .subheader, .table thead th, .datagrid-title {
    font-size: .60rem;
}

.navbar-vertical {
    -ms-overflow-style: none !important;
    scrollbar-width: none !important;
}

    .navbar-vertical .dropdown-item {
        padding-left: 2.7rem !important;
    }

    .navbar-vertical .hr-text {
        padding-left: 2.7rem !important;
        margin-top: 1rem !important;
        margin-bottom: .7rem !important;
    }

.ts-dropdown {
    z-index: 99999 !important;
}

.text-blur {
    color: transparent !important;
    text-shadow: 0 0 5px rgba(0,0,0,0.5) !important;
}

    .text-blur::selection {
        color: transparent !important;
        text-shadow: 0 0 5px rgba(0,0,0,0.5) !important;
    }

tr:hover .text-blur {
    color: transparent !important;
    text-shadow: 0 0 5px rgba(0,0,0,0.5) !important;
}

.btn-maximize {
    position: fixed !important;
    bottom: 0 !important;
    z-index: 999999 !important;
}

.bg-table {
    background-color: var(--tblr-table-hover-bg);
}

table thead tr th {
    background-color: #ffffff !important;
    border-bottom: 1px solid rgba(98,105,118,.16) !important;
    font-weight: 600 !important;
    font-size: 85.71428571% !important;
    text-transform: none !important;
    letter-spacing: normal !important;
}

table tfoot tr th {
    background-color: #fafbfc !important;
    border-top: 1px solid rgba(98,105,118,.16) !important;
    border-bottom: 1px solid #fafbfc !important;
    padding-top: 6px !important;
    padding-bottom: 6px !important;
}

.sticky-bottom {
    position: -webkit-sticky;
    position: sticky;
    bottom: 0;
    z-index: 1020;
}

.table-actions {
    opacity: 0;
    transition: opacity .3s;
    font-size: 11px !important;
}

tr:hover .table-actions {
    opacity: 1;
}

.row-active {
    background: var(--tblr-table-hover-bg);
}

.form-group {
    margin-bottom: 1rem;
}

label {
    display: block;
    margin-bottom: .5rem;
    font-size: .875rem;
    font-weight: 500;
}

.hover-underline {
    text-decoration: none !important;
}

    .hover-underline:hover {
        text-decoration: underline !important;
    }

a {
    text-decoration: none !important;
}

    a:hover {
        text-decoration: none !important;
    }

    a:active {
        text-decoration: none !important;
    }

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.invalid-feedback {
    display: block !important;
}

.tableFirstColumnFixed th:first-child, .tableFirstColumnFixed td:first-child {
    position: sticky;
    left: 0px;
    background-color: var(--tblr-bg-surface, #ffffff);
}

.bg-footer {
    color: var(--tblr-body-color, #121921);
    background-color: var(--tblr-bg-surface, #ffffff);
}

#components-reconnect-modal {
    display: none;
}

    #components-reconnect-modal.components-reconnect-show,
    #components-reconnect-modal.components-reconnect-failed,
    #components-reconnect-modal.components-reconnect-rejected {
        display: block;
    }